EmailAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.server.action.email.EmailAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.server.action.email
Class EmailAction

    java.lang.Object
      org.hyperic.hq.bizapp.shared.action.EmailActionConfig
          org.hyperic.hq.bizapp.server.action.email.EmailAction

All Implemented Interfaces:
  ActionConfigInterface, ActionInterface, Notify

    public class EmailAction

extends EmailActionConfig
implements ActionInterface, Notify

Field Summary
`protected static java.lang.String` | `baseUrl`
`static java.lang.String` | `RES_DESC_HOLDER`
`static java.lang.String` | `RES_NAME_HOLDER`

Fields inherited from class org.hyperic.hq.bizapp.shared.action.EmailActionConfig
`CFG_NAMES, CFG_SMS, CFG_TYPE, TYPE_EMAILS, TYPE_ROLES, TYPE_USERS`

Constructor Summary
`EmailAction()`

Method Summary
`java.lang.String` | `execute(AlertInterface alert, ActionExecutionInfo info)` Execute the action.
`protected java.lang.StringBuffer` | `getLog(EmailRecipient[] to)`
`protected org.hyperic.hq.authz.shared.AuthzSubjectManagerLocal` | `getSubjMan()`
`protected java.util.Map` | `lookupEmailAddr()`
`void` | `send(Escalatable alert, EscalationStateChange change, java.lang.String message, java.util.Set notified)` Send a notification about the change of state in an escalation.
`void` | `setParentActionConfig(AppdefEntityID ent, ConfigResponse cfg)` Inherit configuration from parent action

Methods inherited from class org.hyperic.hq.bizapp.shared.action.EmailActionConfig
`getConfigResponse, getConfigSchema, getImplementor, getNames, getType, getUsers, init, isSms, setImplementor, setNames, setSms, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hyperic.hq.events.ActionConfigInterface
`getConfigResponse, getConfigSchema, getImplementor, init, setImplementor`

Field Detail

### RES_NAME_HOLDER

    public static final java.lang.String RES_NAME_HOLDER

See Also:
  Constant Field Values

### RES_DESC_HOLDER

    public static final java.lang.String RES_DESC_HOLDER

See Also:
  Constant Field Values

### baseUrl

    protected static java.lang.String baseUrl

Constructor Detail

### EmailAction

    public EmailAction()

Method Detail

### getSubjMan

    protected final org.hyperic.hq.authz.shared.AuthzSubjectManagerLocal getSubjMan()

### execute

    public java.lang.String execute(AlertInterface alert,
                                    ActionExecutionInfo info)
                             throws ActionExecuteException

  Description copied from interface: `ActionInterface`
  Execute the action.

  Specified by:
    `execute` in interface `ActionInterface`
  Returns:
    text which will be associated with the action execution logs. `AlertActionLog`
  Throws:
    `ActionExecuteException`

### getLog

    protected java.lang.StringBuffer getLog(EmailRecipient[] to)

### lookupEmailAddr

    protected java.util.Map lookupEmailAddr()
                                     throws ActionExecuteException

  Throws:
    `ActionExecuteException`

### setParentActionConfig

    public void setParentActionConfig(AppdefEntityID ent,
                                      ConfigResponse cfg)
                               throws InvalidActionDataException

  Description copied from interface: `ActionInterface`
  Inherit configuration from parent action

  Specified by:
    `setParentActionConfig` in interface `ActionInterface`
  Throws:
    `InvalidActionDataException`

### send

    public void send(Escalatable alert,
                     EscalationStateChange change,
                     java.lang.String message,
                     java.util.Set notified)
              throws ActionExecuteException

  Description copied from interface: `Notify`
  Send a notification about the change of state in an escalation.

  Specified by:
    `send` in interface `Notify`
  Parameters:
    `alert` - Escalatable which originally kicked off an escalation
    `change` - New state of the escalation
    `message` - Message about the state change
  Throws:
    `ActionExecuteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.